package com.bjsxt.web.filter;

import com.bjsxt.commens.constant;
import com.bjsxt.pojo.Users;

import javax.servlet.*;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import java.io.IOException;

/**
 * 判断当前浏览器是否登录
 */
@WebServlet(urlPatterns = {"*.do","*.jsp"})
public class UserLoginFilter implements Filter {
    @Override
    public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException {
        HttpServletRequest request=(HttpServletRequest) servletRequest;
        String uri=request.getRequestURI();
        //判断当前请求的是否为Login.jsp或者Login.do
        if(uri.indexOf("login.jsp") != -1 || uri.indexOf("login.do")!= -1){
            filterChain.doFilter(servletRequest,servletResponse);
        }else{
            HttpSession session=request.getSession();
            Users users=(Users)session.getAttribute(constant.USER_SESSION_KEY);
            if(users != null){
                filterChain.doFilter(servletRequest,servletResponse);
            }else{
                request.setAttribute(constant.REQUEST_MSG,"请先登录！");
                request.getRequestDispatcher("login.jsp").forward(servletRequest, servletResponse);
            }
        }

    }

    @Override
    public void init(FilterConfig filterConfig) throws ServletException {

    }

    @Override
    public void destroy() {

    }
}
