package com.bjsxt.web.servlet;

import com.bjsxt.commens.constant;
import com.bjsxt.exception.UserNotFoundException;
import com.bjsxt.pojo.Users;
import com.bjsxt.service.Impl.UserLoginServiceImpl;
import com.bjsxt.service.UserLoginService;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;

@WebServlet("/login.do")
public class UserLoginServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req,resp);
    }
    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String username = req.getParameter("username");
        String userpwd = req.getParameter("userpwd");
        try{
            UserLoginService userLoginService=new UserLoginServiceImpl();
            Users users = userLoginService.userLogin(username, userpwd);

            // 建立客户端和服务端的会话状态维持
            HttpSession session = req.getSession();
            session.setAttribute(constant.USER_SESSION_KEY,users);
            //使用重定向方式跳转首页
            resp.sendRedirect("main.jsp");
        }catch(UserNotFoundException e){
            req.setAttribute("msg",e.getMessage());
            req.getRequestDispatcher("login.jsp").forward(req,resp);
        }catch(Exception e){
            resp.sendRedirect("error.jsp");
        }
    }
}
